/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Assimp", "index.html", [
    [ "assimp - Open Asset Import Library", "index.html", [
      [ "Introduction", "index.html#intro", null ],
      [ "Installation", "index.html#main_install", null ],
      [ "Usage", "index.html#main_usage", null ],
      [ "Data Structures", "index.html#main_data", null ],
      [ "Extending the library", "index.html#ext", null ],
      [ "Support & Feedback", "index.html#main_support", null ]
    ] ],
    [ ".ASS File formats", "assfile.html", [
      [ "Overview", "assfile.html#over", null ],
      [ "XML File format", "assfile.html#assxml", null ],
      [ "Binary file format", "assfile.html#assbin", null ]
    ] ],
    [ "Installation", "install.html", [
      [ "Using the pre-built libraries with Visual C++ 8/9", "install.html#install_prebuilt", null ],
      [ "Microsoft Compilers and the C++ Standard Library", "install.html#assimp_stl", null ],
      [ "Building the library from scratch", "install.html#install_own", null ],
      [ "Building without boost.", "install.html#use_noboost", null ],
      [ "Windows DLL Build", "install.html#assimp_dll", null ],
      [ "Building against STLport", "install.html#assimp_stlport", null ]
    ] ],
    [ "Usage", "usage.html", [
      [ "Access by C++ class interface", "usage.html#access_cpp", null ],
      [ "Access by plain-c function interface", "usage.html#access_c", null ],
      [ "Using custom IO logic with the C++ class interface", "usage.html#custom_io", null ],
      [ "Using custom IO logic with the plain-c function interface", "usage.html#custom_io_c", null ],
      [ "Logging", "usage.html#logging", null ]
    ] ],
    [ "Data Structures", "data.html", [
      [ "The Node Hierarchy", "data.html#hierarchy", null ],
      [ "Meshes", "data.html#meshes", [
        [ "Materials", "data.html#material", null ]
      ] ],
      [ "Bones", "data.html#bones", null ],
      [ "Animations", "data.html#anims", null ],
      [ "Textures", "data.html#textures", null ]
    ] ],
    [ "Material System", "materials.html", [
      [ "Overview", "materials.html#General", null ],
      [ "Textures", "materials.html#mat_tex", null ],
      [ "Constants", "materials.html#keys", null ],
      [ "C++-API", "materials.html#cpp", null ],
      [ "C-API", "materials.html#C", null ],
      [ "How to map UV channels to textures (MATKEY_UVWSRC)", "materials.html#uvwsrc", null ],
      [ "Pseudo Code Listing", "materials.html#pseudo", null ]
    ] ],
    [ "Performance", "perf.html", [
      [ "Overview", "perf.html#perf_overview", null ],
      [ "Profiling", "perf.html#perf_profile", null ]
    ] ],
    [ "Threading", "threading.html", [
      [ "Thread-safety / using Assimp concurrently from several threads", "threading.html#threadsafety", null ],
      [ "Internal threading", "threading.html#automt", null ]
    ] ],
    [ "Resources", "res.html", null ],
    [ "Importer Notes", "importer_notes.html", [
      [ "Blender", "importer_notes.html#blender", [
        [ "Overview", "threading.html#overview", null ],
        [ "Overview", "importer_notes.html#bl_overview", null ],
        [ "Current status", "importer_notes.html#bl_status", null ],
        [ "Notes", "importer_notes.html#bl_notes", null ]
      ] ],
      [ "IFC", "importer_notes.html#ifc", [
        [ "Overview", "importer_notes.html#ifc_overview", null ],
        [ "Current status", "importer_notes.html#ifc_status", null ],
        [ "Notes", "importer_notes.html#ifc_notes", null ],
        [ "Metadata", "importer_notes.html#ifc_metadata", null ]
      ] ],
      [ "Ogre", "importer_notes.html#ogre", [
        [ "What will be loaded?", "importer_notes.html#what", null ],
        [ "How to export Files from Blender", "importer_notes.html#export_Blender", null ],
        [ "XML Format", "importer_notes.html#xml", null ],
        [ "Properties", "importer_notes.html#Importer", null ],
        [ "Todo", "importer_notes.html#todo", null ]
      ] ]
    ] ],
    [ "Extending the Library", "extend.html", [
      [ "Properties", "extend.html#properties", null ],
      [ "Notes for text importers", "extend.html#tnote", null ],
      [ "Notes for binary importers", "extend.html#bnote", null ],
      [ "Utilities", "extend.html#util", null ],
      [ "Filling materials", "extend.html#mat", null ],
      [ "Boost", "extend.html#boost", null ],
      [ "Appendix A - Template for BaseImporter's abstract methods", "extend.html#appa", null ]
    ] ],
    [ "Animation Overview", "_animation_overview.html", [
      [ "Transformations", "_animation_overview.html#Transformations", null ]
    ] ],
    [ "'version'-Command", "version.html", null ],
    [ "'help'-Command", "help.html", null ],
    [ "'info'-Command", "iinfo.html", null ],
    [ "'cmpdump'-Command", "cmpdump.html", null ],
    [ "'dump'-Command", "dump.html", null ],
    [ "'extract'-Command", "extract.html", null ],
    [ "Common parameters", "common.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"3_d_s_converter_8cpp.html",
"_blender_scene_8h.html#abb508ea8227673f419e9fe3a86c30d8e",
"_d3_m_f_importer_8cpp.html#a0e91db0b904a5b3037da1e139f71a05a",
"_f_b_x_parser_8h.html#af6aee131555b2ad1dbc1bf5085dc27af",
"_i_f_c_reader_gen_8cpp.html#a2ebef45838e1865725e6e60cc4bb398b",
"_i_f_c_reader_gen_8cpp.html#ac2d138adfe91c8481dff5e7fff17ab69",
"_i_f_c_reader_gen_8h.html#a235fbf991c51355a080082fa51f435a5",
"_i_f_c_reader_gen_8h.html#a69ab58ee01251270920d0d68cc1091b1",
"_i_f_c_reader_gen_8h.html#aa1c3ff908d4504f33615502551d844b8",
"_i_f_c_reader_gen_8h.html#aea427939bdcb46278a596dfe92af3cc3",
"_l_w_o_animation_8h.html#a3f9526ecb610600c29d0bc5c3349456aaeec4468e2e5616824ed430f1a6cceb99",
"_m_d3_file_data_8h.html#ac6f1007e90efc6cc96b6714133dd8ccc",
"_obj_exporter_8cpp.html",
"_open_d_d_l_parser_8h.html#ac09ba2f78be3d162854809934a55fbd8",
"_process_helper_8h.html#aa85720827cbb281f22ffc61e6563c5c9",
"_terragen_loader_8h.html#a304e49cfc24b610c566e461953cecdce",
"assimp__view_8cpp.html#abf4bbd176455f7ad75fba14dbc6aa9ab",
"class_assimp_1_1_b_v_h_loader.html#ab523acec0ea7c03e18c75d3ace26d81d",
"class_assimp_1_1_blob_i_o_stream.html#a9752238a2b888f5aaa9f3cc9c94c80d6",
"class_assimp_1_1_collada_parser.html#ae0fa33fc8ea21a024f47c3712ee51739",
"class_assimp_1_1_default_progress_handler.html",
"class_assimp_1_1_f_b_x_1_1_file_global_settings.html#afad16e10381e94b81f98593e5c4b475aa8d9fa8fc2778fae77e4a0697c5c0b2dd",
"class_assimp_1_1_f_b_x_1_1_token.html#a63c151ca4d67485a9d193b8660c30d86",
"class_assimp_1_1_irrlicht_base.html#a27f8cdd2601b4fca39a12bf900701f63",
"class_assimp_1_1_m_d_l_importer.html#a28dbb64e6ece1021db2cd8f5afe69fd9",
"class_assimp_1_1_ogre_1_1_skeleton.html#a76c2a4c878c79d0d3143720f9742c333",
"class_assimp_1_1_q3_b_s_p_1_1_i_o_system2_unzip.html#a9c44cd4c8b52d11155ebac69c3d68d56",
"class_assimp_1_1_shared_post_process_info.html#a101d80d255cb00eb3c019bd6b1ee85a5",
"class_assimp_1_1_x_file_importer.html",
"class_auto_u_t_f_input_stream.html#a616fbe24878a2026fbc7743acb50438c",
"class_generic_member_iterator.html#a65c30731f77ed249c53c5cf55c9859e2",
"class_pretty_writer.html#ab6074f4c51db129e195bc5752eb2b448",
"classai_color4t.html#ae896a39bbafa0926dd075133ba7e880e",
"classgl_t_f_1_1_i_o_stream.html#a2a8fe28d94ac3f987bc9ef80421f319f",
"classjassimp_1_1_ai_material_1_1_property.html",
"classut_issues.html",
"deprecated.html",
"fast__atof_8h.html#a6bb609222363ab9ba88298597056d65f",
"gl_t_f_asset_writer_8inl.html#a984d329c2c1d7cd23a35275958810a3d",
"glut_8h.html#a76cc6cf86f45849b366ceea0f527680f",
"helper_8py.html#a92f1da7e5c7080a6416b1b39780aa0e1",
"il_8h.html#a9f980e3a848cd185ba6ad26a4dc34bf3",
"ilu_8h.html#af88398e1553de0f46570e37bbebd3562",
"inttypes_8h.html#ae026595b1dcc98cdb66cb46381225188",
"material_8h.html#afcd3096d69affba13114cedfc6f9ee6babe30ac3d3c7bff0fe1d69c70fbd646ff",
"namespacemembers_b.html",
"postprocess_8py.html#a65a4329f20b1af944480617d17c44b36",
"stringbuffer_8h.html#a88f2d61781c8daefde48a81bdeac6ecd",
"struct_assimp_1_1_blender_1_1_image.html#a9b30576a92ce3d64ea6038de40a0247d",
"struct_assimp_1_1_blender_1_1_material.html#a9f0dc69faddbce7b1ebb7dc396d333d7",
"struct_assimp_1_1_c_o_b_1_1_bitmap.html#a70a05bf2d9563a39b8b5faab3d20a632",
"struct_assimp_1_1_collada_1_1_node.html#a91ddd2d0fdc9d43e6d7b7859406d265a",
"struct_assimp_1_1_i_f_c_1_1_ifc_action_request.html",
"struct_assimp_1_1_i_f_c_1_1_ifc_condition_criterion.html#afb6db8763d6c51ee2626a5ab87e2e734",
"struct_assimp_1_1_i_f_c_1_1_ifc_evaporative_cooler_type.html",
"struct_assimp_1_1_i_f_c_1_1_ifc_mechanical_fastener.html#a32e80ea7e69f578fae4562ab0406b34d",
"struct_assimp_1_1_i_f_c_1_1_ifc_rectangular_pyramid.html#abebfea77c759a210a3c8edaf7c47ebf6",
"struct_assimp_1_1_i_f_c_1_1_ifc_structural_member.html",
"struct_assimp_1_1_i_f_c_1_1_ifc_window_style.html",
"struct_assimp_1_1_l_w_o_1_1_v_map_entry.html#aa83794ded438610f97bf9885b9149149",
"struct_assimp_1_1_m_d_c_1_1_header.html#a36b7ce3cc444cbe08065d8fc7aa84103",
"struct_assimp_1_1_m_d_l_1_1_skin___m_d_l7.html#a85203a93c8643d3df30886a37c9c1be9",
"struct_assimp_1_1_open_g_e_x_1_1_camera_object.html#a3aabe2bc6ae7a251f4270e66412e13a6",
"struct_assimp_1_1_s_t_e_p_1_1_lazy.html#ab7276c1bf2385a147b2ecec46a7649ee",
"struct_b_i_t_m_a_p_f_i_l_e_h_e_a_d_e_r.html#aa68cd7c68a8c499985dcc740014c3e53",
"struct_i_limage.html#a5d423e11ee4e5076d92f6a7e863b2070",
"structai_anim_mesh.html#a38199c86e7fe2fd62b8b244073548844",
"structai_node.html#afa2a7210e5ba675d239f3050b03c6455",
"structgl_t_f_1_1_buffer.html#aba2d27ee80e0d674a04ea3b38550f8fd",
"tools_2assimp__view_2resource_8h.html#a05ea979a7eb51348f6081433c394b029",
"union_assimp_1_1_p_l_y_1_1_property_instance_1_1_value_union.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';